:- [statusgroup_messages].

/**

	@desc	This statusgroup shows the current player what kind of action the player have to do.
	
	@form	statusGroup

**/

statusGroup:-
	free(@statusgroup),
	new(@statusgroup,dialog_group(statusleiste)),
	free(@statuslabel),
	new(@statuslabel,label(ereignis)),
	send(@statuslabel,font,new(_,font(helvetica,roman,20))),
	send(@statuslabel,colour,colour(red)),
	send(@statusgroup,append,@statuslabel),
	send(@statusgroup,area,area(0,0,785,40)),
	next_action_group,
	send(@mainwindow,display,@nextgroup,point(910,790)).


button_group(Name1,Name2):-
	free(@buttongroup),
	free(@statusbutton),
	free(@statusbutton2),
	new(@buttongroup,dialog_group('')),
	new(@statusbutton,button(Name1)),
	send(@statusbutton,font,bold),
	new(@statusbutton2,button(Name2)),
	send(@statusbutton2,font,bold),
	send(@buttongroup,append,@statusbutton),
	send(@buttongroup,append,@statusbutton2,right),
	send(@buttongroup,area,area(0,0,300,40)),
	send(@mainwindow,display,@buttongroup,point(700,790)).
	

next_action_group:-
	free(@nextbutton),
	free(@nextgroup),
	string(nextActionButton,Caption),
	new(@nextbutton,button(Caption)),
	send(@nextbutton,message,message(@prolog,gui_next_action)),
	new(@nextgroup,dialog_group('')),
	send(@nextgroup,append,@nextbutton),
	send(@mainwindow,display,@nextgroup,point(910,790)).


	
